Other utilities
Using libmp3splt
Collaboration diagram for Other utilities:

## Macros

#define | SPLT_DIRCHAR '/'
#define | SPLT_DIRSTR "/"

## Functions

int | mp3splt_check_if_directory (const char *filename)
char * | mp3splt_get_version ()
int | mp3splt_set_silence_points (splt_state *state, splt_code *error)
splt_code | mp3splt_set_trim_silence_points (splt_state *state)

## Detailed Description

## Macro Definition Documentation

#define SPLT_DIRCHAR '/'

Path separator as character (/ or \)

Definition at line 2056 of file mp3splt.h.

#define SPLT_DIRSTR "/"

Path separator as string (/ or \)

Definition at line 2060 of file mp3splt.h.

## Function Documentation

int mp3splt_check_if_directory | ( | const char * | filename | ) |

Returns SPLT_TRUE if `filename` is a directory.

char* mp3splt_get_version | ( |  | ) |

Returns the version of libmp3splt.

Result must be freed.

int mp3splt_set_silence_points | ( | splt_state * | state,
|  | splt_code * | error
| ) |  |

Scan for silence and set silence splitpoints in the `state`.

Parameters

  [in] | state | Main state.
  [out] | error | Possible error; can be NULL.

Returns
  The number of silence spots found.

splt_code mp3splt_set_trim_silence_points | ( | splt_state * | state | ) |

Scan for silence and set silence trim splitpoints in the `state`.

Parameters

  [in] | state | Main state.

Returns
  Possible error.